<?xml version="1.0" encoding="UTF-8"?>

<databaseChangeLog
  xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
         http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">

  <!-- DDL SECTION BEGINS -->

  <changeSet author="wdotto" id="alter-finance-user-create-employer-type-column">
    <addColumn tableName="finance_user">
      <column name="employer_type" type="VARCHAR(20)" />
    </addColumn>
    <addNotNullConstraint
      columnDataType="VARCHAR(20)"
      columnName="employer_type"
      defaultNullValue="STAFF"
      tableName="finance_user"/>
    <update tableName="finance_user">
      <column name="employer_type" value="STAFF"/>
      <where>email_address IN ('sam.jones@email.com', 'sally.smith@email.com', 'admin@nhs.net')</where>
    </update>
  </changeSet>

  <changeSet author="wdotto" id="dropTable-account">
    <dropTable cascadeConstraints="true"
      tableName="account"/>
  </changeSet>

  <!-- DML SECTION ENDS -->

</databaseChangeLog>
